Mysql tests
diff --git a/wally/suits/mysql/tpcc/prepare.sh b/wally/suits/mysql/prepare.sh
old mode 100644
new mode 100755
similarity index 84%
rename from wally/suits/mysql/tpcc/prepare.sh
rename to wally/suits/mysql/prepare.sh
index c5043ad..13804d3
--- a/wally/suits/mysql/tpcc/prepare.sh
+++ b/wally/suits/mysql/prepare.sh
@@ -1,5 +1,8 @@
 #!/bin/bash
 # install and configure mysql
+set -e
+set -x
+
 DATABASE_PASSWORD=wally
 DATBASE_USER=root
 DB_NAME=tpcc
@@ -16,8 +19,8 @@
 apt-get install -y make
 
 # disable mysql profile in apparmor
-sudo ln -s /etc/apparmor.d/usr.sbin.mysqld /etc/apparmor.d/disable/
-sudo apparmor_parser -R /etc/apparmor.d/usr.sbin.mysqld
+#sudo ln -s /etc/apparmor.d/usr.sbin.mysqld /etc/apparmor.d/disable/
+#sudo apparmor_parser -R /etc/apparmor.d/usr.sbin.mysqld
 
 # allows us not to access mysql without specifying password
 cat <<EOF >$HOME/.my.cnf
@@ -28,7 +31,7 @@
 EOF
 
 cd ~
-apt-get install bzr
+apt-get -y install bzr
 bzr branch lp:~percona-dev/perconatools/tpcc-mysql
 cd tpcc-mysql/src
 make
diff --git a/wally/suits/mysql/run.sh b/wally/suits/mysql/run.sh
new file mode 100755
index 0000000..284bc1e
--- /dev/null
+++ b/wally/suits/mysql/run.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+set -x
+
+DATABASE_PASSWORD=wally
+DATBASE_USER=root
+DB_NAME=tpcc
+
+cd ~/tpcc-mysql
+./tpcc_start -h127.0.0.1 "-d$DB_NAME" "-u$DATBASE_USER" "-p$DATABASE_PASSWORD" -w20 -c16 -r10 -l1200 > ~/tpcc-output.log
+echo "TpmC:" `cat ~/tpcc-output.log | grep  TpmC | grep -o '[0-9,.]\+'`
\ No newline at end of file
diff --git a/wally/suits/mysql/tpcc/run.sh b/wally/suits/mysql/tpcc/run.sh
deleted file mode 100644
index 3d0f6f7..0000000
--- a/wally/suits/mysql/tpcc/run.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/bash
-cd ~/tpcc-mysql
-./tpcc_start -h127.0.0.1 -dtpcc1000 -uroot -p -w20 -c16 -r10 -l1200 > ~/tpcc-output.log
-cat ~/tpcc-output.log | grep  TpmC | grep -o '[0-9,.]\+'
\ No newline at end of file